Bug 577543 - [abrt] crash in pytrainer-1.6.0.8-1.fc12: <string>:32:parse:SyntaxError: unbound prefix: line 13, column 8
Summary: [abrt] crash in pytrainer-1.6.0.8-1.fc12: <string>:32:parse:SyntaxError: unbo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pytrainer
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Douglas E. Warner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dbadc665
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-27 22:45 UTC by Vlastimil Holer
Modified: 2010-11-17 23:25 UTC (History)
2 users (show)

Fixed In Version: pytrainer-1.7.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:17:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (866 bytes, text/plain)
2010-03-27 22:45 UTC, Vlastimil Holer
no flags Details

Description Vlastimil Holer 2010-03-27 22:45:48 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/pytrainer.py
component: pytrainer
executable: /usr/lib/python2.6/site-packages/pytrainer.py
kernel: 2.6.32.9-70.fc12.x86_64
package: pytrainer-1.6.0.8-1.fc12
reason: <string>:32:parse:SyntaxError: unbound prefix: line 13, column 8
release: Fedora release 12 (Constantine)

backtrace
-----
<string>:32:parse:SyntaxError: unbound prefix: line 13, column 8

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pytrainer/main.py", line 166, in runPlugin
    self.record.importFromGTRNCTR(gtrnctrFile)
  File "/usr/lib/python2.6/site-packages/pytrainer/record.py", line 410, in importFromGTRNCTR
    listTracksGPS = xmlParser.shortFromGPS(gtrnctrFile, True)
  File "/usr/lib/python2.6/site-packages/pytrainer/lib/xmlUtils.py", line 127, in shortFromGPS
    tree = xml.etree.cElementTree.parse(gtrnctrFile).getroot()
  File "<string>", line 45, in parse
  File "<string>", line 32, in parse
SyntaxError: unbound prefix: line 13, column 8

Local variables in innermost frame:
source: <open file '/tmp/file_mod.gtrnctr', mode 'rb' at 0x32c2c68>
self: <__builtin__.ElementTree instance at 0x2225320>
parser: <XMLParser object at 0x33406f0>

Comment 1 Vlastimil Holer 2010-03-27 22:45:50 UTC
Created attachment 403050 [details]
File: backtrace

Comment 2 Bug Zapper 2010-11-03 18:27:53 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-11-08 18:53:42 UTC
pytrainer-1.7.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pytrainer-1.7.2-1.fc13

Comment 4 Fedora Update System 2010-11-08 18:54:10 UTC
pytrainer-1.7.2-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/pytrainer-1.7.2-1.fc12

Comment 5 Fedora Update System 2010-11-08 18:54:35 UTC
pytrainer-1.7.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pytrainer-1.7.2-1.fc14

Comment 6 Fedora Update System 2010-11-10 01:08:04 UTC
pytrainer-1.7.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pytrainer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pytrainer-1.7.2-1.fc13

Comment 7 Fedora Update System 2010-11-17 23:16:38 UTC
pytrainer-1.7.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-11-17 23:23:53 UTC
pytrainer-1.7.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-17 23:25:37 UTC
pytrainer-1.7.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.